Download it now!
Bug 129247 - FILESAVE: DOC: checkbox is lost after RT
Summary: FILESAVE: DOC: checkbox is lost after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:6.5.0 target:6.4.0.2 target:7.1.0
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2019-12-06 17:03 UTC by Xisco Faulí
Modified: 2020-07-07 08:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-12-06 17:03:32 UTC
Steps to reproduce:
1. Open attachment 112005 [details] from bug 88234
2. Save it as a .DOC file
3. Open the new file

-> checkbox is gone

Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: b5a4570e214f0e965a8b32cee3c615856ae07ac4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 2 Dieter 2019-12-08 09:40:18 UTC
Repro with

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 89f0af144c18efafe2573801641689a1432c0cae
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded
Comment 3 Commit Notification 2019-12-19 14:12:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/27b6c82b79f4af2ab16d53de3b2065df0acebdb8

tdf#129247 writerfilter,sw: improve handling of CONTROL fields

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (allotropia) 2019-12-19 14:13:22 UTC
this didn't really work before as the shape was exported outside the field in the DOC.

fixed on master.
Comment 5 Xisco Faulí 2019-12-20 09:59:30 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: dee81fb2e1df5091702b3c8b0e4a3f2b58e89291
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael S, thanks for fixing this issue!!
Comment 6 Commit Notification 2019-12-21 09:08:06 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/821a6d4ed6423b5e07c6add33c74fb75757ef338

tdf#129247 writerfilter,sw: improve handling of CONTROL fields

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-16 11:50:48 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4b659f6c2fd72139d923637981786e38b5f68130

tdf#129247: sw: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.